# pymeasure.experiment

This section contains specific documentation on the classes and methods of the package.

- Experiment class
  - `Experiment`
  - `create_filename()`
  - `get_array()`
  - `get_array_steps()`
  - `get_array_zero()`
- Listener class
  - `Listener`
  - `Monitor`
  - `Recorder`
- Procedure class
  - `Procedure`
  - `UnknownProcedure`
- Parameter classes
  - `BooleanParameter`
  - `FloatParameter`
  - `IntegerParameter`
  - `ListParameter`
  - `Measurable`
  - `Metadata`
  - `Parameter`
  - `PhysicalParameter`
  - `VectorParameter`
- Worker class
  - `Worker`
- Results class
  - `CSVFormatter`
  - `Results`
  - `replace_placeholders()`
  - `unique_filename()`